<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_imsenterprise', language 'cy', version '3.10'.
 *
 * @package     enrol_imsenterprise
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aftersaving...'] = 'Ar ôl i chi gadw eich gosodiadau, efallai yr hoffech';
$string['allowunenrol'] = 'Caniatáu i\'r data IMS <strong>ddadgofrestru</strong> myfyrwyr/athrawon';
$string['allowunenrol_desc'] = 'Os yw hwn wedi\'i alluogi, bydd cofrestriadau cwrs yn cael eu tynnu os yw\'r data Enterprise  yn nodi hynny.';
$string['basicsettings'] = 'Gosodiadau sylfaenol';
$string['coursesettings'] = 'Opsiynau data cwrs';
$string['createnewcategories'] = 'Creu categorïau cwrs newydd (cudd) os nad ydynt i\'w cael yn Moodle';
$string['createnewcategories_desc'] = 'Os yw\'r elfen <org><orgunit> yn bresennol yn y data sy\'n dod i mewn am gwrs, bydd ei gynnwys yn cael ei ddefnyddio i bennu categori os yw\'r cwrs yn cael ei greu o\'r newydd. NI fydd yr ategyn yn ail- gategoreiddio cyrsiau sydd eisoes yn bodoli.

Os nad oes categori yn bodoli gyda\'r enw a ddymunir, yna bydd categori cudd yn cael ei greu.';
$string['createnewcourses'] = 'Creu cyrsiau newydd (cudd) os nad ydynt i\'w cael yn Moodle';
$string['createnewcourses_desc'] = 'Os yw wedi\'i alluogi, gall ategyn cofrestru IMS Enterprise greu cyrsiau newydd ar gyfer unrhyw rai y daw o hyd iddo yn y data IMS ond nid yng nghronfa ddata Moodle. Bydd unrhyw gyrsiau wedi\'u creu o\'r newydd wedi cael eu cuddio i ddechrau.';
$string['createnewusers'] = 'Creu cyfrifon defnyddwyr ar gyfer defnyddwyr sydd heb gofrestru yn Moodle eto';
$string['createnewusers_desc'] = 'Fel arfer mae data cofrestru IMS Enterprise yn disgrifio set o ddefnyddwyr. Os yw wedi\'i alluogi, gellir creu cyfrifon ar gyfer unrhyw ddefnyddwyr heb eu canfod yng nghronfa ddata Moodle.

Bydd y system yn chwilio am ddefnyddwyr yn ôl eu "rhif id" yn gyntaf, ac yn ôl eu henw defnyddiwr ar gyfer Moodle yn ail. Ni fydd yr ategyn IMS Enterprise yn mewngludo cyfrineiriau. Rydym yn argymell eich bod yn defnyddio ategyn dilysu ar gyfer dilysu defnyddwyr.';
$string['cronfrequency'] = 'Amlder prosesu';
$string['deleteusers'] = 'Dileu cyfrifon defnyddwyr pan bennir hynny mewn data IMS';
$string['deleteusers_desc'] = 'Os yw wedi\'i alluogi, gall data cofrestru IMS Enterprise bennu cyfrifon defnyddwyr i\'w dileu (os yw\'r fflag "recstatus" wedi\'i gosod ar 3, sy\'n cynrychioli dileu cyfrif). Fel sy\'n arferol gyda Moodle, dydy cofnod y defnyddiwr ddim yn cael ei ddileu o gronfa ddata Moodle, ond bydd fflag yn cael ei gosod i ddangos bod y cyfrif wedi cael ei ddileu.';
$string['doitnow'] = 'mewngludo ffeil IMS Enterprise nawr';
$string['filelockedmail'] = 'All y broses cron ddim dileu\'r ffeil testun rydych yn ei defnyddio ar gyfer cofrestru drwy ffeiliau IMS ({$a}). Fel arfer, bydd hyn yn golygu bod yr hawliau\'n anghywir arni.  Dylech drwsio\'r hawliau fel y gall Moodle ddileu\'r ffeil, neu fel arall, gallai gael ei phrosesu drosodd a throsodd.';
$string['filelockedmailsubject'] = 'Gwall pwysig: Ffeil cofrestru';
$string['fixcasepersonalnames'] = 'Rhoi llythyren fawr ar ddechrau pob enw personol';
$string['fixcaseusernames'] = 'Newid enwau defnyddwyr i lythrennau bach yn unig';
$string['ignore'] = 'Anwybyddu';
$string['importimsfile'] = 'Mewnosod ffeil IMS Enterprise';
$string['imsrolesdescription'] = 'Mae\'r fanyleb IMS Enterprise yn cynnwys 8 gwahanol fath o swyddogaeth. Dewiswch sut yr hoffech iddynt gael eu neilltuo yn Moodle, gan gynnwys a ddylid anwybyddu unrhyw un ohonynt.';
$string['location'] = 'Lleoliad ffeil';
$string['logtolocation'] = 'Lleoliad allbwn y ffeil log (gwag ar gyfer dim cofnodi)';
$string['mailadmins'] = 'Hysbysu\'r gweinyddwr drwy e-bost';
$string['mailusers'] = 'Hysbysu defnyddwyr drwy e-bost';
$string['miscsettings'] = 'Amrywiol';
$string['pluginname'] = 'Ffeil IMS Enterprise';
$string['pluginname_desc'] = 'Bydd y dull hwn yn gwirio ac yn prosesu ffeil testun wedi\'i fformatio\'n arbennig drosodd a throsodd yn y lleoliad a bennir. Mae\'n rhaid i\'r ffeil ddilyn y manylebau IMS Enterprise sy\'n cynnwys elfennau aelodaeth XML, grwpiau a phobl.';
$string['processphoto'] = 'Ychwanegu data llun defnyddiwr at y proffil';
$string['processphotowarning'] = 'Rhybudd: Mae\'n debygol y bydd prosesu delweddau\'n rhoi cryn faich ychwanegol ar y gweinydd. Fe\'ch cynghorir i beidio â defnyddio\'r dewis hwn os ydych yn meddwl y bydd nifer fawr o fyfyrwyr yn cael eu prosesu.';
$string['restricttarget'] = 'Dim ond prosesu data os pennir y targed canlynol';
$string['restricttarget_desc'] = 'Gallai ffeil data IMS Enterprise fod ar gyfer nifer o "dargedau" - gwahanol Systemau Rheoli Dysgu, neu systemau gwahanol mewn ysgol/prifysgol. Mae\'n bosibl nodi yn y ffeil Enterprise bod y data wedi\'u bwriadu ar gyfer un neu ragor o systemau targed wedi\'u henwi, drwy eu henwi mewn tagiau <target> yn y tag <properties>. Yn gyffredinol, does dim angen i chi boeni am hyn. Gadewch y gosodiad yn wag a bydd Moodle bob amser yn prosesu\'r ffeil data, boed y targed wedi\'i nodi ai peidio. Fel arall, nodwch yr union enw a fydd yn cael ei allgludo o fewn y tag <target>.';
$string['roles'] = 'Swyddogaethau';
$string['sourcedidfallback'] = 'Defnyddio\'r &quot;sourcedid&quot;  ar gyfer ID defnyddiwr os na ellir dod o hyd i\'r maes "userid"';
$string['sourcedidfallback_desc'] = 'Mewn data IMS, mae\'r maes <sourcedid> yn cynrychioli\'r cod ID parhaus ar gyfer person fel y defnyddir yn y system ffynhonnell. Mae\'r maes <userid> yn faes ar wahân, a dylai gynnwys y cod ID a ddefnyddir gan y defnyddiwr wrth fewngofnodi. Yn aml iawn, mae\'n bosibl y bydd y ddau god hyn yr un fath - ond nid bob amser. Mae rhai systemau gwybodaeth myfyrwyr yn methu allbynnu\'r maes <userid>. Os felly, dylech alluogi\'r gosodiad hwn i ganiatáu ar gyfer defnyddio\'r <sourcedid> fel yr ID defnyddiwr ar gyfer Moodle. Fel arall, gadewch y gosodiad hwn heb ei alluogi.';
$string['truncatecoursecodes'] = 'Cwtogi maint codau cyrsiau i\'r hyd hwn';
$string['truncatecoursecodes_desc'] = 'Mewn rhai sefyllfaoedd efallai bydd gennych chi godau cwrs rydych chi am eu byrhau cyn eu prosesu. Os felly, rhowch nifer y nodau yn y blwch hwn. Fel arall, gadewch y blwch yn wag ac ni fydd y codau\'n cael eu byrhau.';
$string['usecapitafix'] = 'Ticiwch y blwch hwn os ydych chi\'n defnyddio &quot;Capita&quot; (mae eu fformat XML ychydig yn anghywir)';
$string['usecapitafix_desc'] = 'Wedi canfod un gwall bach yn allbwn XML system data\'r myfyrwyr a gynhyrchwyd gan Capita. Os ydych chi\'n defnyddio Capita, dylech chi alluogi\'r gosodiad hwn - fel arall gadewch y blwch yn wag.';
$string['usersettings'] = 'Opsiynau data defnyddiwr';
$string['zeroisnotruncation'] = 'Mae 0 yn dynodi dim cwtogi';
