<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_multichoice', language 'cy', version '3.10'.
 *
 * @package     qtype_multichoice
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['answerhowmany'] = 'Un neu fwy o atebion?';
$string['answernumbering'] = 'Rhifo\'r dewisiadau hyn?';
$string['answernumbering123'] = '1., 2., 3., ...';
$string['answernumberingABCD'] = 'A., B., C., ...';
$string['answernumberingIIII'] = 'I., II., III., ...';
$string['answernumberingabc'] = 'a., b., c., ...';
$string['answernumberingiii'] = 'i., ii., iii., ...';
$string['answernumberingnone'] = 'Dim rhifo';
$string['answersingleno'] = 'Caniateir mwy nac un ateb';
$string['answersingleyes'] = 'Un ateb yn unig';
$string['choiceno'] = 'Dewis {$a}';
$string['choices'] = 'Dewisiadau sydd ar gael';
$string['clozeaid'] = 'Rhowch y gair coll';
$string['correctansweris'] = 'Yr ateb cywir yw: {$a}.';
$string['correctfeedback'] = 'Ar gyfer unrhyw ateb cywir';
$string['errfractionsaddwrong'] = 'Nid yw\'r graddau positif rydych chi wedi\'u dewis yn gwneud cyfanswm o 100%. <br />Yn hytrach, maent yn gwneud cyfanswm o {$a}%';
$string['errfractionsnomax'] = 'Dylai un o\'r atebion fod yn 100%, fel ei fod yn <br />bosibl cael gradd lawn i\'r cwestiwn hwn.';
$string['errgradesetanswerblank'] = 'Wedi gosod gradd, ond mae\'r Ateb yn wag';
$string['feedback'] = 'Adborth';
$string['fillouttwochoices'] = 'Rhaid i chi lenwi o leiaf dau ddewis.  Ni chaiff dewisiadau gwag eu defnyddio.';
$string['fractionsaddwrong'] = 'Nid yw\'r graddau positif rydych chi wedi\'u dewis yn gwneud cyfanswm o 100%<br />Yn hytrach, maent yn gwneud cyfanswm o {$a}%<br />Ydych chi am fynd yn ôl i gywiro\'r cwestiwn hwn?';
$string['fractionsnomax'] = 'Dylai un o\'r atebion fod yn 100% fel ei bod yn <br/> bosibl cael gradd lawn ar gyfer y cwestiwn hwn. Ydych chi am fynd yn ôl i gywiro\'r cwestiwn hwn?';
$string['incorrectfeedback'] = 'Ar gyfer unrhyw ateb anghywir';
$string['notenoughanswers'] = 'Mae angen o leiaf {$a} ateb ar y math hwn o gwestiwn';
$string['overallcorrectfeedback'] = 'Adborth ar gyfer unrhyw ateb cywir';
$string['overallfeedback'] = 'Adborth cyffredinol';
$string['overallincorrectfeedback'] = 'Adborth ar gyfer unrhyw ateb anghywir';
$string['overallpartiallycorrectfeedback'] = 'Adborth ar gyfer unrhyw ateb sy\'n rhannol gywir';
$string['partiallycorrectfeedback'] = 'Ar gyfer unrhyw ateb sy\'n rhannol gywir';
$string['pleaseselectananswer'] = 'Dewiswch ateb.';
$string['pleaseselectatleastoneanswer'] = 'Dewiswch o leiaf un ateb.';
$string['pluginname_link'] = 'question/type/multichoice';
$string['pluginnameediting'] = 'Golygu cwestiwn Aml Ddewis';
$string['selectmulti'] = 'Dewiswch un neu fwy:';
$string['selectone'] = 'Dewiswch un:';
$string['shuffleanswers'] = 'Cymysgu atebion';
$string['shuffleanswers_help'] = 'Os yw hwn wedi\'i alluogi, bydd trefn yr atebion yn cael ei gymysgu ar hap ar gyfer pob cynnig, ar yr amod bod "Cymysgu mewn cwestiynau" wedi\'i alluogi yng ngosodiadau\'r gweithgaredd.';
$string['singleanswer'] = 'Dewiswch un ateb.';
$string['toomanyselected'] = 'Rydych chi wedi dewis gormod o ddewisiadau.';
