<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quiz_statistics', language 'cy', version '3.10'.
 *
 * @package     quiz_statistics
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actualresponse'] = 'Yr ymateb llawn';
$string['allattempts'] = 'pob cynnig';
$string['allattemptsavg'] = 'Gradd gyfartalog pob cynnig';
$string['allattemptscount'] = 'Cyfanswm nifer pob cynnig cyflawn a raddiwyd';
$string['analysisofresponses'] = 'Dadansoddiad o\'r ymatebion';
$string['analysisofresponsesfor'] = 'Dadansoddiad o\'r ymatebion ar gyfer {$a}';
$string['attempts'] = 'Cynigion';
$string['attemptsall'] = 'pob cynnig';
$string['attemptsfirst'] = 'cynnig cyntaf';
$string['backtoquizreport'] = 'Yn ôl i dudalen yr adroddiad o\'r prif ystadegau.';
$string['calculatefrom'] = 'Cyfrifo\'r ystadegau o';
$string['cic'] = 'Cyfernod cysondeb mewnol (ar gyfer {$a})';
$string['completestatsfilename'] = 'ystadegau cyflawn';
$string['count'] = 'Cyfrif';
$string['coursename'] = 'Enw\'r cwrs';
$string['detailedanalysis'] = 'Rhagor o ddadansoddiad manwl o\'r ymatebion i\'r cwestiwn hwn';
$string['discrimination_index'] = 'Mynegai didoli';
$string['discriminative_efficiency'] = 'Effeithlonrwydd didoli';
$string['downloadeverything'] = 'Llwytho\'r adroddiad llawn i lawr fel';
$string['duration'] = 'Ar agor am';
$string['effective_weight'] = 'Pwysau effeithiol';
$string['errordeleting'] = 'Gwall wrth ddileu hen gofnodion {$a}.';
$string['errormedian'] = 'Gwall wrth gyfrifo\'r canolrif';
$string['errorpowerquestions'] = 'Gwall wrth nôl data i gyfrifo\'r amrywedd mewn graddau cwestiwn';
$string['errorpowers'] = 'Gwall wrth nôl data i gyfrifo\'r amrywedd ar gyfer graddau cwis';
$string['errorrandom'] = 'Gwall wrth nôl data is-eitem';
$string['errorratio'] = 'Cymhareb gwall (ar gyfer {$a})';
$string['errorstatisticsquestions'] = 'Gwall wrth nôl data i gyfrifo\'r ystadegau ar gyfer graddau cwestiwn';
$string['facility'] = 'Mynegai cyfleuster';
$string['firstattempts'] = 'pob cynnig cyntaf';
$string['firstattemptsavg'] = 'Gradd gyfartalog pob cynnig cyntaf';
$string['firstattemptscount'] = 'Cyfanswm nifer pob cynnig cyntaf gyflawn a raddiwyd';
$string['frequency'] = 'Amlder';
$string['intended_weight'] = 'Pwysau bwriadol';
$string['kurtosis'] = 'Cwrtosis dosbarthiad y sgôr (ar gyfer {$a})';
$string['lastcalculated'] = 'Cyfrifwyd ddiwethaf {$a->lastcalculated} yn ôl ac mae {$a->count} cynnig ers hynny.';
$string['median'] = 'Gradd canolrif (ar gyfer {$a})';
$string['modelresponse'] = 'Ymateb enghreifftiol';
$string['negcovar'] = 'Cydamrywiad negyddol y radd gyda gradd cyfanswm pob cynnig';
$string['negcovar_help'] = 'This question\'s grade for this set of attempts on the quiz varies in an opposite way to the overall attempt grade. This means overall attempt grade tends to be below average when the grade for this question is above average and vice-versa.

Our equation for effective question weight cannot be calculated in this case. The calculations for effective question weight for other questions in this quiz are the effective question weight for these questions if the highlighted questions with a negative covariance are given a maximum grade of zero.

If you edit a quiz and give these question(s) with negative covariance a max grade of zero then the effective question weight of these questions will be zero and the real effective question weight of other questions will be as calculated now.';
$string['nostudentsingroup'] = 'Does dim myfyrwyr yn y grŵp hwn eto';
$string['optiongrade'] = 'Credyd rhannol';
$string['pluginname'] = 'Ystadegau';
$string['position'] = 'Safle';
$string['positions'] = 'Safle(oedd)';
$string['questioninformation'] = 'Gwybodaeth am y cwestiwn';
$string['questionname'] = 'Enw\'r cwestiwn';
$string['questionnumber'] = 'C#';
$string['questionstatistics'] = 'Ystadegau\'r cwestiwn';
$string['questionstatsfilename'] = 'ystadegau\'r cwestiwn';
$string['questiontype'] = 'Math o gwestiwn';
$string['quizinformation'] = 'Gwybodaeth am y cwis';
$string['quizname'] = 'Enw\'r cwis';
$string['quizoverallstatistics'] = 'Ystadegau cyffredinol y cwis';
$string['quizstructureanalysis'] = 'Dadansoddiad o strwythur y cwis';
$string['random_guess_score'] = 'Sgôr dyfalu ar hap';
$string['recalculatenow'] = 'Ailgyfrifo nawr';
$string['response'] = 'Ymateb';
$string['skewness'] = 'Sgiwedd dosbarthiad y sgôr (ar gyfer {$a})';
$string['standarddeviation'] = 'Gwyriad safonol (ar gyfer {$a})';
$string['standarddeviationq'] = 'Gwyriad safonol';
$string['standarderror'] = 'Gwall safonol (ar gyfer {$a})';
$string['statistics'] = 'Ystadegau';
$string['statistics:view'] = 'Gweld adroddiad ystadegau';
$string['statisticsreport'] = 'Adroddiad ystadegau';
$string['statisticsreportgraph'] = 'Ystadegau ar gyfer lleoliadau cwestiynau';
$string['statsfor'] = 'Ystadegau\'r cwis (ar gyfer {$a})';
