<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'rating', language 'cy', version '3.10'.
 *
 * @package     rating
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aggregateavg'] = 'Cyfartaledd sgoriau';
$string['aggregatecount'] = 'Cyfrif sgoriau';
$string['aggregatemax'] = 'Sgôr uchaf';
$string['aggregatemin'] = 'Sgôr isaf';
$string['aggregatenone'] = 'Dim sgoriau';
$string['aggregatesum'] = 'Swm sgoriau';
$string['aggregatetype'] = 'Dull o gyfuno';
$string['aggregatetype_help'] = 'Mae\'r dull o gyfuno yn diffinio sut mae sgoriau\'n dod at ei gilydd i ffurfio\'r radd derfynol yn y llyfr graddau.
* Cyfartaledd sgoriau - Cymedr yr holl sgoriau
* Cyfrif sgoriau - Nifer yr eitemau y rhoddwyd sgôr iddynt fydd y radd derfynol. Sylwer na all y cyfanswm fod yn fwy na\'r radd uchaf ar gyfer y gweithgaredd.
* Sgôr uchaf - Y sgôr uchaf fydd y radd derfynol.
* Sgôr isaf - Y sgôr isaf fydd y radd derfynol.
* Swm sgoriau - Bydd yr holl sgoriau yn cael eu hadio at ei gilydd. Sylwer na all y cyfanswm fod yn fwy na\'r radd uchaf ar gyfer y gweithgaredd.
Os dewisir "Dim sgoriau", ni fydd y gweithgaredd yn ymddangos yn y llyfr graddau.';
$string['allowratings'] = 'Caniatáu rhoi sgôr i eitemau?';
$string['allratingsforitem'] = 'Pob sgôr a gyflwynwyd';
$string['capabilitychecknotavailable'] = 'Methu gwirio gallu nes bydd y gweithgaredd wedi cael ei gadw';
$string['couldnotdeleteratings'] = 'Yn anffodus, ni ellir dileu gan fod pobl eisoes wedi rhoi sgôr';
$string['norate'] = 'Chewch chi ddim rhoi sgôr i eitemau!';
$string['noratings'] = 'Heb gyflwyno sgoriau';
$string['noviewanyrate'] = 'Dim ond canlyniadau eitemau rydych chi wedi eu gwneud y cewch chi eu gweld';
$string['noviewrate'] = 'Dydych chi ddim yn gallu gweld sgoriau\'r eitem';
$string['rate'] = 'Rhoi sgôr';
$string['ratepermissiondenied'] = 'Does gennych chi ddim caniatâd i roi sgôr i\'r eitem hon';
$string['rating'] = 'Sgôr';
$string['ratinginvalid'] = 'Mae\'r sgôr yn annilys';
$string['ratings'] = 'Sgoriau';
$string['ratingtime'] = 'Cyfyngu sgoriau i eitemau â dyddiadau yn yr ystod hon:';
$string['rolewarning'] = 'Swyddogaethau lle ceir caniatâd i roi sgôr';
$string['rolewarning_help'] = 'I gyflwyno sgoriau, mae gofyn bod gan ddefnyddwyr moodle/rating:rate, ac unrhyw allu sy\'n benodol i\'r modiwl. Dylai defnyddwyr y neilltuir y swyddogaethau canlynol ar eu cyfer allu rhoi sgôr i eitemau. Gellir diwygio\'r rhestr swyddogaethau drwy\'r ddolen caniatâd yn y bloc gweinyddu.';
